Skip to content

Updates ​

Check and apply panel updates.

3 endpoints

GET /api/update ​

Update State

the panel version, the latest one, and how an update goes

Sudo admin only

Response 200 Successful Response · UpdateState

Response fields
FieldTypeDescription
currentstring
installedboolean
statestring
stepstring
lateststring
availableboolean
checked_atinteger
started_atinteger
finished_atinteger
errorstring
pendingstring
logstring[]
newsRelease[]
historyRelease[]
json
{
  "current": "string",
  "installed": false,
  "state": "idle",
  "step": "",
  "latest": "string",
  "available": false,
  "checked_at": 0,
  "started_at": 0,
  "finished_at": 0,
  "error": "",
  "pending": "string",
  "log": [],
  "news": [],
  "history": []
}

Errors: 401 Unauthorized, 403 Forbidden

bash
curl -X GET 'https://YOUR-PANEL/api/update' \
  -H 'Authorization: Bearer $TOKEN'

POST /api/update ​

Start Update

update the panel to the latest version (backup first, the old version back if it fails)

Sudo admin only

Response 200 Successful Response · UpdateState

Response fields
FieldTypeDescription
currentstring
installedboolean
statestring
stepstring
lateststring
availableboolean
checked_atinteger
started_atinteger
finished_atinteger
errorstring
pendingstring
logstring[]
newsRelease[]
historyRelease[]
json
{
  "current": "string",
  "installed": false,
  "state": "idle",
  "step": "",
  "latest": "string",
  "available": false,
  "checked_at": 0,
  "started_at": 0,
  "finished_at": 0,
  "error": "",
  "pending": "string",
  "log": [],
  "news": [],
  "history": []
}

Errors: 401 Unauthorized, 403 Forbidden

bash
curl -X POST 'https://YOUR-PANEL/api/update' \
  -H 'Authorization: Bearer $TOKEN'

POST /api/update/check ​

Check For Update

ask the updater to look for a new version

Sudo admin only

Response 200 Successful Response · UpdateState

Response fields
FieldTypeDescription
currentstring
installedboolean
statestring
stepstring
lateststring
availableboolean
checked_atinteger
started_atinteger
finished_atinteger
errorstring
pendingstring
logstring[]
newsRelease[]
historyRelease[]
json
{
  "current": "string",
  "installed": false,
  "state": "idle",
  "step": "",
  "latest": "string",
  "available": false,
  "checked_at": 0,
  "started_at": 0,
  "finished_at": 0,
  "error": "",
  "pending": "string",
  "log": [],
  "news": [],
  "history": []
}

Errors: 401 Unauthorized, 403 Forbidden

bash
curl -X POST 'https://YOUR-PANEL/api/update/check' \
  -H 'Authorization: Bearer $TOKEN'

Alexen v2.3.14 · 204 API endpoints